Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deConsole.hpp File Reference

"stdout" console More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deConsole.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | DECONSOLE_API extern "C" DEDLL_IMPORT
## Enumerations
enum | ConsoleColor_t { Black, DarkRed, LightRed, DarkGreen, LightGreen, DarkBlue, LightBlue, Brown, Yellow, DarkCyan, LightCyan, Purple, Pink, Gray, White }
## Functions
DEDLL_IMPORT void | deConsole_MakeConsole ()
DEDLL_IMPORT void | deConsole_DestroyConsole ()
C DEDLL_IMPORT bool | deConsoleColor (ConsoleColor_t fore, ConsoleColor_t back=Black)
| set the current color for printing text on the output console
C DEDLL_IMPORT void | deConsoleXY (int X, int Y)
| set the current position for printing text on the output console
C DEDLL_IMPORT bool | deConsoleOut (const char *text,...)
| print text on the output console

## Detailed Description

"stdout" console

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  July 2001

Author:
  Assassin

Remarks:
  Creation

## Define Documentation

#define DECONSOLE_API extern "C" DEDLL_IMPORT

## Enumeration Type Documentation

enum ConsoleColor_t

  | Enumeration values:
  Black |
  DarkRed |
  LightRed |
  DarkGreen |
  LightGreen |
  DarkBlue |
  LightBlue |
  Brown |
  Yellow |
  DarkCyan |
  LightCyan |
  Purple |
  Pink |
  Gray |
  White |

## Function Documentation

DEDLL_IMPORT void deConsole_DestroyConsole | ( |  | ) |

DEDLL_IMPORT void deConsole_MakeConsole | ( |  | ) |

C DEDLL_IMPORT bool deConsoleColor | ( | ConsoleColor_t | fore,
|  | ConsoleColor_t | back = Black
| ) |

| set the current color for printing text on the output console

C DEDLL_IMPORT bool deConsoleOut | ( | const char * | text,
|  | ... |
| ) |

| print text on the output console

C DEDLL_IMPORT void deConsoleXY | ( | int | X,
|  | int | Y
| ) |

| set the current position for printing text on the output console